Delete Project
DELETE https://deploygate.com/api/organizations/{PROJECT_NAME}
Caution
- When deleting your Project, all teams and applications contained within that Projects are also deleted.
- Projects with an active subscription of Starup, Business and Large Business plans cannot be deleted. You must first cancel the subscription. The cancellation procedure differs depending on the payment method (credit card or invoice).
- The Project's API Key cannot be used. Please use the API Key of a user who is an Owner of the Project.
Path Params
| Name | Type | Required | Description |
|---|---|---|---|
| PROJECT_NAME | string | true | Project Name |
Example
curl \
-X DELETE \
--url "https://deploygate.com/api/organizations/${PROJECT_NAME}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${API_TOKEN}"
Result 200
{
"error": false,
"results": {
"message": "The organization was removed successfully"
}
}
Result 403 - When Accessed with a Project's API Key
{
"invalid_params": null,
"message": "Only User API keys are allowed",
"error": true,
"because": "Only User API keys are allowed",
"error_type": "non_user_api_key"
}
Result 403 - When Accessed with a Non-Owner User's API Key
{
"invalid_params": null,
"message": "this actor does not have permission to perform this action.",
"error": true,
"because": "this actor does not have permission to perform this action.",
"error_type": "forbidden_action"
}
Result 404
{
"invalid_params": null,
"message": "Organization not found",
"error": true,
"because": "Organization not found",
"error_type": "common_not_found"
}